# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'montoc/version'

Gem::Specification.new do |spec|
  spec.name          = "montoc"
  spec.version       = Montoc::VERSION
  spec.authors       = ["Adrian Setyadi"]
  spec.email         = ["a.styd@yahoo.com"]
  spec.summary       = %q{Monospace Text Document}
  spec.description   = %q{Monospace Text Document: convert any plain text to rectangularized text 
(same number of characters per line) or text matrix (two dimensional
Array of chars of the text) by adding spaces in between the text.
Set alignment to left, right, center, and justify. You can also reflow
the text to the specified columns, and many other features.}
  spec.homepage      = "https://github.com/styd/montoc/"
  spec.license       = "GPLv3"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.0"
end
